Bug 996304 - nouveau kernel oops after setting performance level
nouveau kernel oops after setting performance level
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 17:51 EDT by Dieter Kasper
Modified: 2015-02-17 11:44 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:44:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (1.13 MB, application/x-gunzip)
2013-08-12 17:51 EDT, Dieter Kasper
no flags Details

  None (edit)
Description Dieter Kasper 2013-08-12 17:51:49 EDT
Created attachment 785918 [details]
/var/log/messages

Description of problem:
kernel oops after setting of performance level of nouveau driver


Version-Release number of selected component (if applicable):
Linux oder 3.10.5-201.fc19.x86_64 #1 SMP Wed Aug 7 16:25:24 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:
always

Steps to Reproduce:
1. cat /sys/class/drm/card0/device/performance_level
profile: boot, boot
c: core 202MHz shader 405MHz memory 324MHz voltage 900mV

2. echo 0 >  /sys/class/drm/card0/device/performance_level
Segmentation fault (core dumped)

3. look into /var/log/messages
Aug 12 23:37:48 oder kernel: [  621.329405] nouveau  [     DRM] setting performance level: 0
Aug 12 23:37:48 oder kernel: [  621.329745] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x132020 [ IBUS ]
(...)
~4000x lines
Aug 12 23:37:50 oder kernel: [  623.328928] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x132020 [ IBUS ]
Aug 12 23:37:50 oder kernel: [  623.329515] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x132020 [ IBUS TIMEOUT ]
Aug 12 23:37:50 oder kernel: [  623.330650] nouveau E[   PIBUS][0000:01:00.0] ROP0: 0xffffffff 0x00000000 (0x38008208)
Aug 12 23:37:50 oder kernel: [  623.330684] nouveau E[    PBUS][0000:01:00.0] MMIO read of 0x00000000 FAULT at 0x132020 [ IBUS TIMEOUT ]
Aug 12 23:37:50 oder kernel: [  623.330719] divide error: 0000 [#1] SMP
Aug 12 23:37:50 oder kernel: [  623.330898] nouveau E[    PBUS][0000:01:00.0] MMIO write of 0x00000005 FAULT at 0x00e138 [ IBUS ]
Aug 12 23:37:50 oder kernel: [  623.331887] Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack rfcomm ebtable_filter ebtables ip6table_filter ip6_tables bnep vmnet(OF) ppdev parport_pc parport fuse vsock(OF) vmci(OF) vmmon(OF) snd_hda_codec_hdmi xfs iTCO_wdt snd_hda_codec_realtek iTCO_vendor_support libcrc32c rtsx_pci_ms memstick rtsx_pci_sdmmc btusb bluetooth qmi_wwan cdc_wdm usbnet qcserial mii usb_wwan mperf coretemp arc4 kvm_intel kvm crc32_pclmul crc32c_intel iwldvm ghash_clmulni_intel mac80211 microcode joydev serio_raw iwlwifi i2c_i801 sdhci_pci sdhci snd_hda_intel mmc_core snd_hda_codec lpc_ich rtsx_pci snd_hwdep mfd_core snd_seq cfg80211 snd_seq_device snd_pcm e1000e rfkill snd_page_alloc ptp snd_timer pps_core snd mei_me mei soundcore fujitsu_laptop binfmt_misc uinput usb_storage nouveau mxm_wmi wmi i2c_algo_bit drm_kms_helper ttm drm yenta_socket i2c_core video
Aug 12 23:37:50 oder kernel: [  623.338469] CPU: 1 PID: 2604 Comm: bash Tainted: GF          O 3.10.5-201.fc19.x86_64 #1
Aug 12 23:37:50 oder kernel: [  623.339825] Hardware name: FUJITSU CELSIUS H710/FJNB221, BIOS Version 1.12 04/25/2011
Aug 12 23:37:50 oder kernel: [  623.341195] task: ffff8803ea60c4a0 ti: ffff8803f5690000 task.ti: ffff8803f5690000
Aug 12 23:37:50 oder kernel: [  623.342581] RIP: 0010:[<ffffffffa014ed5f>]  [<ffffffffa014ed5f>] read_pll+0xdf/0x140 [nouveau]
Aug 12 23:37:50 oder kernel: [  623.344004] RSP: 0018:ffff8803f5691d08  EFLAGS: 00010246
Aug 12 23:37:50 oder kernel: [  623.345403] RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000000
Aug 12 23:37:50 oder kernel: [  623.346846] RDX: 0000000000000000 RSI: 000000000000e820 RDI: ffffc90005e0e824
Aug 12 23:37:50 oder kernel: [  623.348538] RBP: ffff8803f5691d30 R08: 0000000000000040 R09: 0000000000000004
Aug 12 23:37:50 oder kernel: [  623.349977] R10: 0000000000000000 R11: 0000000000000003 R12: 0000000000132020
Aug 12 23:37:50 oder kernel: [  623.351386] R13: 0000000000000001 R14: ffff8804253f6000 R15: 0000000000000000
Aug 12 23:37:50 oder kernel: [  623.352822] FS:  00007f3c7d06a740(0000) GS:ffff88043dc40000(0000) knlGS:0000000000000000
Aug 12 23:37:50 oder kernel: [  623.354255] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Aug 12 23:37:50 oder kernel: [  623.355706] CR2: 00007fe1524a9000 CR3: 000000040785a000 CR4: 00000000000407e0
Aug 12 23:37:50 oder kernel: [  623.357162] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Aug 12 23:37:50 oder kernel: [  623.358627] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Aug 12 23:37:50 oder kernel: [  623.360066] Stack:
Aug 12 23:37:50 oder kernel: [  623.361505]  ffff880424f84020 ffff88041e331800 ffff880424db6000 ffff8804253f6000
Aug 12 23:37:50 oder kernel: [  623.362964]  0000000000020f58 ffff8803f5691db8 ffffffffa014f642 ffff880425114f00
Aug 12 23:37:50 oder kernel: [  623.364437]  ffff880425710800 ffff8803f5691d80 0013200000000004 00003f0100062e08
Aug 12 23:37:50 oder kernel: [  623.365920] Call Trace:
Aug 12 23:37:50 oder kernel: [  623.367405]  [<ffffffffa014f642>] nvc0_pm_clocks_pre+0x2a2/0x440 [nouveau]
Aug 12 23:37:50 oder kernel: [  623.368880]  [<ffffffffa01462ee>] nouveau_pm_perflvl_set+0x8e/0x150 [nouveau]
Aug 12 23:37:50 oder kernel: [  623.370364]  [<ffffffffa014647f>] nouveau_pm_trigger+0xcf/0x140 [nouveau]
Aug 12 23:37:50 oder kernel: [  623.371855]  [<ffffffffa0146676>] nouveau_pm_profile_set+0xe6/0x130 [nouveau]
Aug 12 23:37:50 oder kernel: [  623.373354]  [<ffffffffa01466dd>] nouveau_pm_set_perflvl+0x1d/0x40 [nouveau]
Aug 12 23:37:50 oder kernel: [  623.374825]  [<ffffffff813d6a18>] dev_attr_store+0x18/0x30
Aug 12 23:37:50 oder kernel: [  623.376302]  [<ffffffff812092e3>] sysfs_write_file+0xd3/0x150
Aug 12 23:37:50 oder kernel: [  623.377771]  [<ffffffff811978bd>] vfs_write+0xbd/0x1e0
Aug 12 23:37:50 oder kernel: [  623.379245]  [<ffffffff81198289>] SyS_write+0x49/0xa0
Aug 12 23:37:50 oder kernel: [  623.380708]  [<ffffffff810d93b6>] ? __audit_syscall_exit+0x1f6/0x2a0
Aug 12 23:37:50 oder kernel: [  623.382185]  [<ffffffff81647559>] system_call_fastpath+0x16/0x1b
Aug 12 23:37:50 oder kernel: [  623.384021] Code: 75 dd b9 30 73 13 00 ba 20 73 13 00 31 f6 4c 89 f7 e8 26 fe ff ff 66 0f 1f 44 00 00 4c 89 f9 45 0f b6 ff 0f b6 d5 0f af c2 31 d2 <41> f7 f7 31 d2 f7 f3 5b 41 5c 41 5d 41 5e 41 5f 5d c3 0f 1f 80
Aug 12 23:37:50 oder kernel: [  623.385636] RIP  [<ffffffffa014ed5f>] read_pll+0xdf/0x140 [nouveau]
Aug 12 23:37:50 oder kernel: [  623.387244]  RSP <ffff8803f5691d08>
Aug 12 23:37:50 oder kernel: [  623.399502] ---[ end trace 4d8aebf4203987d8 ]---


Actual results:
oops / PANIC

Expected results:
no PANIC, just changing performance state to '0'

Additional info:
lspci -tv
-[0000:00]-+-00.0  Intel Corporation 2nd Generation Core Processor Family DRAM Controller
           +-01.0-[01]--+-00.0  NVIDIA Corporation GF108GLM [Quadro 1000M]
Comment 1 Fedora End Of Life 2015-01-09 14:25:38 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 11:44:24 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.